Skip to main content
`Ctrl`+`K`

# STShellSetBackTransform

Sets the routine to be called after the eigensolution process has finished in order to transform back the computed eigenvalues.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellSetBackTransform(ST st,STShellBackTransformFn *backtr)

Logically Collective

## Input Parameters

- st - the spectral transformation context

- backtr - the application-provided backtransform routine

## See Also

ST: Spectral Transformation, `STSHELL`, `STShellSetApply()`, `STShellSetApplyTranspose()`

## Level

advanced

## Location

src/sys/classes/st/impls/shell/shell.c

## Examples

src/eps/tutorials/ex10.c
src/eps/tutorials/ex36.c

## Implementations

STShellSetBackTransform_Shell() in src/sys/classes/st/impls/shell/shell.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages